Bug 733722 - Hitting enter when creating a new permission should advance to the next field (Not submit)
Summary: Hitting enter when creating a new permission should advance to the next field...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-08-26 15:39 UTC by Justin Sherrill
Modified: 2013-08-16 18:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:53:48 UTC


Attachments (Terms of Use)

Description Justin Sherrill 2011-08-26 15:39:54 UTC
Description of problem:

When creating a new permission if you hit enter while entering the name it tries to do some sort of submit.  

Instead it should advance to the next item to be entered.

Comment 1 Eric Helms 2011-10-03 16:03:34 UTC
commit 64380049cd4be37f15758cfc7ef422aaa350feb3

The behavior that should be seen now is that when adding a permission, hitting enter after modifying an input should toggle the next button.  When you reach the bottom to enter Name and Description enter does not submit as the user may want to use enter functionality within the textarea.  However, tab will advance through the fields and can thus be used to tab over and select the done button and then the enter button will work as expected to submit.

Comment 2 Corey Welton 2012-01-23 17:11:02 UTC
It's been a while and things have since changed. You can't hit enter to go through the elements; tab works.

In any case, hitting enter doesn't submit, so we're good here.  

QA Verified.

Comment 5 Mike McCune 2013-08-16 18:21:13 UTC
getting rid of 6.0.0 version since that doesn't exist


Note You need to log in before you can comment on or make changes to this bug.